Chapters:
1: Introduction
2: Simple example
3: Invocation
4: Finer Control
5: X-Y Plots
6: Contour Plots
7: Image Plots
8: Examples
9: Gri Commands
10: Programming
11: Environment
12: Emacs Mode
13: History
14: Installation
15: Gri Bugs
16: Test Suite
17: Gri in Press
18: Acknowledgments
19: License
Indices:
Concepts
Commands
Variables

### 9.3.24: ``mask`'

    `mask the image [to {uservalue .u.}|{imagevalue .i.}]'

Examine both the image and the mask pixel by pixel. For any pixels which have a mask value of 1 (which indicates an invalid region of the image), change the image value. If no ``to`' phrase is present, change the image value to 0 in pixel units. If the ``to uservalue .u.`' phrase is present, change the pixel to hold the imagevalue that corresponds to this uservalue (see ``set image range`' command for a discussion of this correspondance). If the ``to imagevalue .i.`' phrase is present, change the pixel to hold that imagevalue (in range 0 to 255 inclusive for 8-bit images).